Subject: bug#10397: [PATCH] Under Remote Desktop, NUMCOLORS is unreliable; workaround

From: Juanma Barranquero <[email-masked]>
Date: Fri, 30 Dec 2011 04:07:48 +0100

On Thu, Dec 29, 2011 at 23:59, Daniel Colascione <[email-masked]> wrote:

> What about this: we'll distrust any NUMCOLORS response less than 256.
> You'll never use direct color with a bit depth that small, so any answer
> in that range must be bogus.

Hmm. Shouldn't in fact GetDeviceCaps (hdc, NUMCOLORS) always be <= 256?

According to http://msdn.microsoft.com/en-us/library/dd144877(v=vs.85).aspx

  NUMCOLORS
  Number of entries in the device's color table, if the device has a
color depth of no more than 8 bits per pixel. For devices with greater
color depths, 1 is returned.

(It says "1", but it's a typo for "-1".)

    Juanma